Package org.apache.sling.commons.json

# Interface JSONString

@Deprecated public interface JSONString
Deprecated.
The `JSONString` interface allows a `toJSONString()` method so that a class can change the behavior of `JSONObject.toString()`, `JSONArray.toString()`, and `JSONWriter.value(`Object`)`. The `toJSONString` method will be used instead of the default behavior of using the Object's `toString()` method and quoting the result.

## Method Summary

Modifier and Type
Method
Description
`String`
`toJSONString()`
Deprecated.
The `toJSONString` method allows a class to produce its own JSON serialization.

## Method Details

### toJSONString

String toJSONString()
Deprecated.
The `toJSONString` method allows a class to produce its own JSON serialization.

Returns:
  A strictly syntactically correct JSON text.